<?php

/**
 * @file
 * Theme settings form for Bluecheese theme.
 */

use Drupal\image\Entity\ImageStyle;

/**
 * Implements hook_form_system_theme_settings_alter().
 */
function bluecheese_form_system_theme_settings_alter(&$form, &$form_state) {
  $form['bluecheese'] = [
    '#type' => 'details',
    '#title' => t('Bluecheese'),
    '#open' => TRUE,
  ];
  $image_style_options = [];
  foreach (ImageStyle::loadMultiple() as $image_style) {
    $image_style_options[$image_style->getName()] = $image_style->label();
  }
  $form['bluecheese']['account_menu_image_style'] = [
    '#type' => 'select',
    '#title' => t('Account menu image style'),
    '#description' => t('The image style to use in the account menu.'),
    '#options' => $image_style_options,
    '#default_value' => theme_get_setting('account_menu_image_style'),
  ];
}
